package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractContractFirstInfo extends com.kingdee.eas.xr.XRBillBaseInfo implements Serializable 
{
    public AbstractContractFirstInfo()
    {
        this("id");
    }
    protected AbstractContractFirstInfo(String pkField)
    {
        super(pkField);
        put("E2", new com.kingdee.eas.custom.gggl.ContractFirstE2Collection());
        put("E1", new com.kingdee.eas.custom.gggl.ContractFirstE1Collection());
    }
    /**
     * Object:合同初版's 合同名称property 
     */
    public String getHtmc()
    {
        return getString("htmc");
    }
    public void setHtmc(String item)
    {
        setString("htmc", item);
    }
    /**
     * Object: 合同初版 's 公司 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getCompany()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("company");
    }
    public void setCompany(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("company", item);
    }
    /**
     * Object: 合同初版 's 客户 property 
     */
    public com.kingdee.eas.basedata.master.cssp.CustomerInfo getCustomer()
    {
        return (com.kingdee.eas.basedata.master.cssp.CustomerInfo)get("customer");
    }
    public void setCustomer(com.kingdee.eas.basedata.master.cssp.CustomerInfo item)
    {
        put("customer", item);
    }
    /**
     * Object:合同初版's 合同含税金额property 
     */
    public java.math.BigDecimal getHtAmount()
    {
        return getBigDecimal("htAmount");
    }
    public void setHtAmount(java.math.BigDecimal item)
    {
        setBigDecimal("htAmount", item);
    }
    /**
     * Object: 合同初版 's 责任人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getZrPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("zrPerson");
    }
    public void setZrPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("zrPerson", item);
    }
    /**
     * Object: 合同初版 's 责任部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getDeparment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("deparment");
    }
    public void setDeparment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("deparment", item);
    }
    /**
     * Object:合同初版's 押金property 
     */
    public java.math.BigDecimal getYjAmount()
    {
        return getBigDecimal("yjAmount");
    }
    public void setYjAmount(java.math.BigDecimal item)
    {
        setBigDecimal("yjAmount", item);
    }
    /**
     * Object:合同初版's 备注property 
     */
    public String getBeiz()
    {
        return getString("beiz");
    }
    public void setBeiz(String item)
    {
        setString("beiz", item);
    }
    /**
     * Object:合同初版's 合同内容property 
     */
    public String getHtnn()
    {
        return getString("htnn");
    }
    public void setHtnn(String item)
    {
        setString("htnn", item);
    }
    /**
     * Object: 合同初版 's 第1个表体 property 
     */
    public com.kingdee.eas.custom.gggl.ContractFirstE1Collection getE1()
    {
        return (com.kingdee.eas.custom.gggl.ContractFirstE1Collection)get("E1");
    }
    /**
     * Object: 合同初版 's 第2个表体 property 
     */
    public com.kingdee.eas.custom.gggl.ContractFirstE2Collection getE2()
    {
        return (com.kingdee.eas.custom.gggl.ContractFirstE2Collection)get("E2");
    }
    /**
     * Object:合同初版's 品牌property 
     */
    public String getPp()
    {
        return getString("pp");
    }
    public void setPp(String item)
    {
        setString("pp", item);
    }
    /**
     * Object:合同初版's 合同号property 
     */
    public String getHtNum()
    {
        return getString("htNum");
    }
    public void setHtNum(String item)
    {
        setString("htNum", item);
    }
    /**
     * Object:合同初版's 单据类型property 
     */
    public com.kingdee.eas.custom.gggl.DTypeEnum getDjType()
    {
        return com.kingdee.eas.custom.gggl.DTypeEnum.getEnum(getString("djType"));
    }
    public void setDjType(com.kingdee.eas.custom.gggl.DTypeEnum item)
    {
		if (item != null) {
        setString("djType", item.getValue());
		}
    }
    /**
     * Object:合同初版's 租户/非租户property 
     */
    public com.kingdee.eas.custom.gggl.ZHEnum getZhlx()
    {
        return com.kingdee.eas.custom.gggl.ZHEnum.getEnum(getString("zhlx"));
    }
    public void setZhlx(com.kingdee.eas.custom.gggl.ZHEnum item)
    {
		if (item != null) {
        setString("zhlx", item.getValue());
		}
    }
    /**
     * Object:合同初版's 开户行property 
     */
    public String getBank()
    {
        return getString("bank");
    }
    public void setBank(String item)
    {
        setString("bank", item);
    }
    /**
     * Object:合同初版's 银行账号property 
     */
    public String getBankNum()
    {
        return getString("bankNum");
    }
    public void setBankNum(String item)
    {
        setString("bankNum", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("696BFDA0");
    }
}